database corruption when programming flash with CW

cancel
Showing results for 
Search instead for 
Did you mean: 

database corruption when programming flash with CW

459 Views
brian_bogdan
Contributor I

Hi,

We are  using CW development studio 10.4.1 and just set up a new project and all things went well.  We were able to go into debug mode with the QorIQ processor, then we selected our target task and selected the "execute" button to start erasing/programming of the flash, but CW asserted:  "Data base corruption".   

I assume something wasn't loaded correct for the flash when we set up the project, but I'm not very familiar with CW and looking for some guidance on this assert.

Thanks

Brian

 

0 Kudos
6 Replies

454 Views
yipingwang
NXP TechSupport
NXP TechSupport

For flash programing with CodeWarrior, please refer to this document.

https://community.nxp.com/t5/CodeWarrior-Development-Tools/Flash-Programmer-for-CodeWarrior-Power-Ar...

In addition, please download and install CodeWarrior for PA 10.5.1 from the following link to check whether this problem exists.

https://drive.google.com/file/d/18YIFeSnzZlcE1ZgSNUlTYM955gh9_B56/view?usp=sharing

0 Kudos

447 Views
brian_bogdan
Contributor I

Thanks yipingwang for AN.    We are successful importing a target task as described in section 3.1 and and the settings for each operation is as expected (device, base address, target ram, etc.).   It is when we select the target task and click on execute is when we see the assert:  Corrupt data base.   

We have a procedure that we were successful in the past install CW on a Linux box but for some reason it didn't work this time.   Any other ideas to try?

I will see if we can install 10.5.1 version, but we are typically limited on what SW we can install.

thanks

Brian

 

0 Kudos

442 Views
yipingwang
NXP TechSupport
NXP TechSupport

It seems that this problem is caused by CodeWarrior installation or CW compatibility problem with your OS.

What's OS are your using on your PC?

Please try to install CW 10.5.1 on your PC and check whether this problem exist.

0 Kudos

428 Views
brian_bogdan
Contributor I

yipingwang,

We are on Linux box running Centos 6.10.  This is a good point, we have not tried CW on this version before.   We also have another Linux box running Redhat 6.5, is there a way to try CW on that machine?  I would need a temporary license, since we are node locked and also a link to CW 10.5.1 SW.   (Our IT group will not allow us to access google drive)

Also,  we used AN4948 and tried to create a target task manually, vs importing one from a  file. This task would just do a blank check on the flash.  All that went good, but when we click on execute, we got the same error: Data Base Corrupt.

We also tried on SW 10.5.0 and got the same assert.

Thanks

Brian

 

0 Kudos

401 Views
brian_bogdan
Contributor I

Hi, Is there any update?

Thanks

Brian

 

0 Kudos

355 Views
yipingwang
NXP TechSupport
NXP TechSupport

As I mentioned previously.

It seems that this problem is caused by CodeWarrior installation or CW compatibility problem with your OS.

What's OS are your using on your PC?

Please try to install CW 10.5.1 on your PC and check whether this problem exist.

0 Kudos